Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Class GraphViewer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      weka.gui.beans.GraphViewer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, GraphListener, UserRequestAcceptor, Visible

    public class GraphViewer

extends javax.swing.JPanel
implements Visible, GraphListener, UserRequestAcceptor, java.io.Serializable, java.beans.beancontext.BeanContextChild

A bean encapsulating weka.gui.treevisualize.TreeVisualizer

Version:
  $Revision: 7059 $
Author:
  Mark Hall
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GraphViewer()`

Method Summary
`void` | `acceptGraph(GraphEvent e)` Accept a graph
`void` | `addVetoableChangeListener(java.lang.String name, java.beans.VetoableChangeListener vcl)` Add a vetoable change listener to this bean
`java.util.Enumeration` | `enumerateRequests()` Return an enumeration of user requests
`java.beans.beancontext.BeanContext` | `getBeanContext()` Return the bean context (if any) that this bean is embedded in
`BeanVisual` | `getVisual()` Get the visual appearance of this bean
`java.lang.String` | `globalInfo()` Global info for this bean
`void` | `performRequest(java.lang.String request)` Perform the named request
`void` | `removeVetoableChangeListener(java.lang.String name, java.beans.VetoableChangeListener vcl)` Remove a vetoable change listener from this bean
`void` | `setBeanContext(java.beans.beancontext.BeanContext bc)` Set a bean context for this bean
`void` | `setVisual(BeanVisual newVisual)` Set the visual appearance of this bean
`void` | `showResults()` Popup a result list from which the user can select a graph to view
`void` | `useDefaultVisual()` Use the default visual appearance

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### GraphViewer

    public GraphViewer()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Global info for this bean

  Returns:
    a `String` value

### setBeanContext

    public void setBeanContext(java.beans.beancontext.BeanContext bc)

  Set a bean context for this bean

  Specified by:
    `setBeanContext` in interface `java.beans.beancontext.BeanContextChild`
  Parameters:
    `bc` - a `BeanContext` value

### getBeanContext

    public java.beans.beancontext.BeanContext getBeanContext()

  Return the bean context (if any) that this bean is embedded in

  Specified by:
    `getBeanContext` in interface `java.beans.beancontext.BeanContextChild`
  Returns:
    a `BeanContext` value

### addVetoableChangeListener

    public void addVetoableChangeListener(java.lang.String name,
                                          java.beans.VetoableChangeListener vcl)

  Add a vetoable change listener to this bean

  Specified by:
    `addVetoableChangeListener` in interface `java.beans.beancontext.BeanContextChild`
  Parameters:
    `name` - the name of the property of interest
    `vcl` - a `VetoableChangeListener` value

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.lang.String name,
                                             java.beans.VetoableChangeListener vcl)

  Remove a vetoable change listener from this bean

  Specified by:
    `removeVetoableChangeListener` in interface `java.beans.beancontext.BeanContextChild`
  Parameters:
    `name` - the name of the property of interest
    `vcl` - a `VetoableChangeListener` value

### acceptGraph

    public void acceptGraph(GraphEvent e)

  Accept a graph

  Specified by:
    `acceptGraph` in interface `GraphListener`
  Parameters:
    `e` - a `GraphEvent` value

### setVisual

    public void setVisual(BeanVisual newVisual)

  Set the visual appearance of this bean

  Specified by:
    `setVisual` in interface `Visible`
  Parameters:
    `newVisual` - a `BeanVisual` value

### getVisual

    public BeanVisual getVisual()

  Get the visual appearance of this bean

  Specified by:
    `getVisual` in interface `Visible`
  Returns:
    a `BeanVisual` value

### useDefaultVisual

    public void useDefaultVisual()

  Use the default visual appearance

  Specified by:
    `useDefaultVisual` in interface `Visible`

### showResults

    public void showResults()

  Popup a result list from which the user can select a graph to view

### enumerateRequests

    public java.util.Enumeration enumerateRequests()

  Return an enumeration of user requests

  Specified by:
    `enumerateRequests` in interface `UserRequestAcceptor`
  Returns:
    an `Enumeration` value

### performRequest

    public void performRequest(java.lang.String request)

  Perform the named request

  Specified by:
    `performRequest` in interface `UserRequestAcceptor`
  Parameters:
    `request` - a `String` value
  Throws:
    `java.lang.IllegalArgumentException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD